# Uses of Interface
org.bukkit.entity.AbstractArrow

Packages that use AbstractArrow
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.player
`Events` relating to `players`.

## Uses of AbstractArrow in org.bukkit

Methods in org.bukkit with type parameters of type AbstractArrow
Modifier and Type
Method
Description
`<T extends AbstractArrow>
T`
World.`spawnArrow(@NotNull Location location, @NotNull Vector direction, float speed, float spread, @NotNull Class<T> clazz)`
Creates an arrow entity of the given class at the given `Location`

## Uses of AbstractArrow in org.bukkit.entity

Subinterfaces of AbstractArrow in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`Arrow`
`interface`
`SpectralArrow`
Represents a spectral arrow.
`interface`
`TippedArrow`
Deprecated.
tipped status depends only on base potion type not being UNCRAFTABLE and effects being empty.
`interface`
`Trident`
Represents a thrown trident.

## Uses of AbstractArrow in org.bukkit.event.player

Methods in org.bukkit.event.player that return AbstractArrow
Modifier and Type
Method
Description
`@NotNull AbstractArrow`
PlayerPickupArrowEvent.`getArrow()`
Get the arrow being picked up by the player
Constructors in org.bukkit.event.player with parameters of type AbstractArrow
Modifier
Constructor
Description
``
`PlayerPickupArrowEvent(@NotNull Player player, @NotNull Item item, @NotNull AbstractArrow arrow)`